# Decoupled Kit Pantheon Search API

This module automatically configures a Solr search API server for use on
Pantheon environments and creates an example search index that can be accessed
via a JSON:API. It can also be used with the Next Drupal Search API add-on to
simplify the process of configuring search for your decoupled frontend.

### Before You Begin

Before enabling the Decoupled Kit Pantheon Search API module, you will need to
enable Pantheon Search on your site. You can do this by following the
instructions to Enable Access to Pantheon Search in the
[Pantheon Search documentation](https://docs.pantheon.io/guides/solr-drupal/solr-drupal#enable-access-to-pantheon-search).

## Installation

Require using composer:

```
composer require drupal/decoupled_kit_pantheon_search
```

Enable decoupled_kit_pantheon_search using your preferred method.

The following dependencies will also be enabled:

- [Search API Pantheon](https://www.drupal.org/project/search_api_pantheon)
- [JSON:API Search API](https://www.drupal.org/project/jsonapi_search_api)

## Usage

Once installed, the module automatically creates an **Example Index** with the
following configuration:

- Datasources: Content
- Server: Pantheon Search
- Bundles: Article & Basic page
- Index Languages: All
- Fields:

  - Body:
    - Type: Fulltext
    - Boost: 1.00
  - Title:
    - Type: Fulltext
    - Boost: 1.50

The module also adds a JSON:API endpoint for the index to return results.
Additionally, it automatically indexes content, making it an out-of-the-box
option to start using the search data in frontend sites.

## Contributing

If you find a bug or have a feature request, please create an issue on the
[Decoupled Kit Pantheon Search API'a issues page](https://www.drupal.org/project/issues/decoupled_kit_pantheon_search?categories=All).





